Get DTE exit rule
curl --request GET \
--url https://api.example.com/api/graph/v1/exit-rules/dte/{dte}import requests
url = "https://api.example.com/api/graph/v1/exit-rules/dte/{dte}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/exit-rules/dte/{dte}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dte_requested": 123,
"dte_tier": "<string>",
"no_progress_window": "<string>",
"action": "<string>",
"assessment_schedule": "<string>",
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Exit Status
Get DTE exit rule
Get the exit rule for a given days-to-expiration.
## DTE Tiers
| DTE Range | Tier | No Progress Window | Default Action |
|-----------|------|-------------------|----------------|
| 0-2 | ultra_short | 30 minutes | exit_100 |
| 3-7 | short | 60 minutes | reduce_50 |
| 8-14 | medium_short | 90 minutes | reduce_50 |
| 15-29 | medium | 4 hours | review |
| 30-60 | medium_long | 1 day | review |
| 60+ | long | 5 days | review |
## Performance Target
<50ms response time.
GET
/
api
/
graph
/
v1
/
exit-rules
/
dte
/
{dte}
Get DTE exit rule
Path Parameters
Days to expiration
Required range:
0 <= x <= 365